Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slar2v

    java.lang.Object
      org.netlib.lapack.Slar2v

    public class Slar2v

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAR2V applies a vector of real plane rotations from both sides to
     *  a sequence of 2-by-2 real symmetric matrices, defined by the elements
     *  of the vectors x, y and z. For i = 1,2,...,n
     *
     *     ( x(i)  z(i) ) := (  c(i)  s(i) ) ( x(i)  z(i) ) ( c(i) -s(i) )
     *     ( z(i)  y(i) )    ( -s(i)  c(i) ) ( z(i)  y(i) ) ( s(i)  c(i) )
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The number of plane rotations to be applied.
     *
     *  X       (input/output) REAL array,
     *                         dimension (1+(N-1)*INCX)
     *          The vector x.
     *
     *  Y       (input/output) REAL array,
     *                         dimension (1+(N-1)*INCX)
     *          The vector y.
     *
     *  Z       (input/output) REAL array,
     *                         dimension (1+(N-1)*INCX)
     *          The vector z.
     *
     *  INCX    (input) INTEGER
     *          The increment between elements of X, Y and Z. INCX > 0.
     *
     *  C       (input) REAL array, dimension (1+(N-1)*INCC)
     *          The cosines of the plane rotations.
     *
     *  S       (input) REAL array, dimension (1+(N-1)*INCC)
     *          The sines of the plane rotations.
     *
     *  INCC    (input) INTEGER
     *          The increment between elements of C and S. INCC > 0.
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`Slar2v()`

Method Summary
`static void` | `slar2v(int n, float[] x, int _x_offset, float[] y, int _y_offset, float[] z, int _z_offset, int incx, float[] c, int _c_offset, float[] s, int _s_offset, int incc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slar2v

    public Slar2v()

Method Detail

### slar2v

    public static void slar2v(int n,
                              float[] x,
                              int _x_offset,
                              float[] y,
                              int _y_offset,
                              float[] z,
                              int _z_offset,
                              int incx,
                              float[] c,
                              int _c_offset,
                              float[] s,
                              int _s_offset,
                              int incc)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD